#ifndef MAIN_WINDOW_H
#define MAIN_WINDOW_H

#include <QMainWindow>
#include <QToolBar>

#include "mesh_viewer.h"
#include "my_mesh.h"


class MainWindow : public QMainWindow {
	Q_OBJECT

	QToolBar toolbar;
	QAction *open_action;
	QList<QAction *> toolbar_actions;

signals:
	void open(const QString &path);

public:
	MeshViewer mesh_viewer;

	MainWindow(QWidget *parent=nullptr);
};


#endif
